function [URL] = fthurl(archive, pass_times, StartColumn, EndColumn, ...
    StartRow, EndRow, dset_stride, ranges, variable, server)

%
%   This function will build the fth file name.
%

% The preceding empty line is important.
%
% $Id: fthurl.m,v 1.8 1999/03/06 00:06:49 dbyrne Exp $

% $Log: fthurl.m,v $
% Revision 1.8  1999/03/06 00:06:49  dbyrne
%
%
% update for new release.
%
% Revision 1.4  1999/03/04 13:13:27  root
% All changes since AGU week.
%
% Revision 1.7  1998/11/18 19:57:01  dbyrne
%
%
% Second try.  Bug fixes to jpl pathfinder data, changed names of
% Reynolds datasets to clarify that one is a climatology and one is not.
%
% Revision 1.3  1998/11/05 16:01:52  root
% Changed LonVector and LatVector to be used if no Lon returned and tried the update function.
% DataScale and DataNull should now be optional!
%
% Revision 1.4  1998/09/13 21:31:09  dbyrne
% Updated to elminate global variables and add multivariables.
%
% Revision 1.2  1998/09/09 09:23:12  dbyrne
% Changes to make creation of a 'time' variable more sensible.
%
% Revision 1.1  1998/05/17 14:18:04  dbyrne
% *** empty log message ***
%
% Revision 1.3  1997/11/12 18:35:29  tom
% Some strange changes.
%
% Revision 1.1.1.1  1997/09/22 14:13:54  tom
% Imported Matlab GUI sources to CVS
%

variable = deblank(variable);
server = deblank(server);
year = pass_times(1);
yearday = pass_times(2);

Directory = sprintf('%2s%2.2i%1s', '19', year, '/');

Satellites = pass_times(6);
ImgName = sprintf('%1s%2.2i%3.3i%2.2i%2.2i%2.2i%8s', Satellites, ...
	    pass_times(1), pass_times(2), pass_times(3), pass_times(4), pass_times(5), '.fth_d.Z');

Constraint = sprintf('%s', variable,'[', ...
      num2str(StartRow), ':', num2str(dset_stride), ':', num2str(EndRow),'][', ...
      num2str(StartColumn), ':', num2str(dset_stride), ':',...
      num2str(EndColumn), ']');

URL = sprintf('%s', server, Directory, ImgName, '?', Constraint);
return
