function [URL] = htnurl(archive, pass_times, StartColumn, ...
    EndColumn, StartRow, EndRow, dset_stride, ranges, variable, server)
%
%   This function will build the htn file name.
%

% The preceding empty line is important.
%
% $Id: htnurl.m,v 1.6 1999/03/06 00:06:49 dbyrne Exp $

% $Log: htnurl.m,v $
% Revision 1.6  1999/03/06 00:06:49  dbyrne
%
%
% update for new release.
%
% Revision 1.5  1999/03/04 13:13:28  root
% All changes since AGU week.
%
% Revision 1.5  1998/11/18 19:57:01  dbyrne
%
%
% Second try.  Bug fixes to jpl pathfinder data, changed names of
% Reynolds datasets to clarify that one is a climatology and one is not.
%
% Revision 1.4  1998/11/05 16:01:53  root
% Changed LonVector and LatVector to be used if no Lon returned and tried the update function.
% DataScale and DataNull should now be optional!
%
% Revision 1.2  1998/09/13 21:31:11  dbyrne
% Updated to elminate global variables and add multivariables.
%
% Revision 1.3  1998/09/13 12:46:51  root
% elminated DodsName
%
% Revision 1.2  1998/09/09 15:04:29  dbyrne
% Eliminating all global variables.
%
% Revision 1.1  1998/05/17 14:18:06  dbyrne
% *** empty log message ***
%
% Revision 1.1.1.1  1997/09/22 14:13:54  tom
% Imported Matlab GUI sources to CVS
%

variable = deblank(variable);
server = deblank(server);
year = pass_times(1);
yearday = pass_times(2);

Directory = sprintf('%2s%2.2i%1s', '19', year, '/');

Satellites = pass_times(6);
ImgName = sprintf('%1s%2.2i%3.3i%2.2i%2.2i%2.2i%8s', Satellites, ...
	    pass_times(1), pass_times(2), pass_times(3), ...
	    pass_times(4), pass_times(5), '.htn_d.Z');

Constraint = sprintf('%s', variable, '[', ...
      num2str(StartRow), ':', num2str(dset_stride), ':', num2str(EndRow),'][', ...
      num2str(StartColumn), ':', num2str(dset_stride), ':',...
      num2str(EndColumn), ']');

URL = sprintf('%s', server, Directory, ImgName, '?', Constraint);

return




