function [times, Pass_Times, url, depths, n] = levcat(CatalogServer, Time, ranges)
%
%  Time       - The time range of the data set.
%
%  The returned arguments are:
%
%  times      - The time in years (and fractions, see note below) for all hits.
%--------------------------------------------------------------------------------
%

% The preceding empty line is important.

% predefined Levitus depths for Ferret.  Note that original
% Levitus dataset has 33 levels! dbyrne, 98/11/16.  I am
% faking this because it seems very silly to issue an http
% request for information that does not actually change.  However,
% we do provide the actual URL for sticklers.
depths = [0 10 20 30 50 75 100 150 ...
  200 300 400 600 800 1000 1200 1500 ...
  2000 3000 4000 5000]';

url = [CatalogServer '?ZAXLEVITR'];
% if we really wanted to make the request ... :
% depths = loaddods(url);

StartTime = max(Time(1), ranges(4,1));
EndTime = min(Time(2), ranges(4,2));
YEAR = floor(StartTime);
i = 1;
times = floor(StartTime)+0.5;
while YEAR < EndTime
  i = i+1;
  YEAR = YEAR+1;
  times(i) = YEAR+0.5;
end
i = find(times >= StartTime & times<=EndTime);
times = times(i);
VERSION = version; VERSION = str2num(VERSION(1));
if VERSION < 5
  n = length(find(depths >= ranges(3,1) & depths <= ranges(3,2)));
  k = 1;
  for j = 1:length(times)
    for i = 1:n
      Pass_Times(k) = times(j);
      k = k+1;
    end
  end
else
  % NOTE THIS IS DISABLED AND MULTIPLE URLS ARE FORCED UNTIL JAMES
  % FIXES LOADDODS TO HANDLE CUBIC MATRICES  -- dbyrne 98/11/24
  %  % there is only ever 1 URL
  %  Pass_Times = times;
  %  
  %  A 2-D kudge for Matlab 5
  n = length(find(depths >= ranges(3,1) & depths <= ranges(3,2)));
  k = 1;
  for j = 1:length(times)
    for i = 1:n
      Pass_Times(k) = times(j);
      k = k+1;
    end
  end
end
n = length(Pass_Times);
Pass_Times = Pass_Times(:);
return
